org.apache.sling.maven.kickstart.run

## Class AbstractStartStopMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.maven.kickstart.run.AbstractStartStopMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  StartMojo, StopMojo

    public abstract class AbstractStartStopMojo
    extends org.apache.maven.plugin.AbstractMojo

### Field Summary

Fields
`protected List<ServerConfiguration>` `servers` Parameter containing the list of server configurations
`protected boolean` `shouldBlockUntilKeyIsPressed` If `true` this mojo blocks until you press the Enter key.
`protected boolean` `skipKickStart` Set this to "true" to skip starting the kickstart
`protected File` `systemPropertiesFile` The system properties file will contain all started instances with their ports etc.

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractStartStopMojo()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `blockIfNecessary()`
`protected abstract void` `doExecute()`
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### skipKickStart

    @Parameter(property="maven.test.skip",
               defaultValue="false")
    protected boolean skipKickStart

Set this to "true" to skip starting the kickstart

#### servers

    @Parameter
    protected List<ServerConfiguration> servers

Parameter containing the list of server configurations

#### systemPropertiesFile

    @Parameter(defaultValue="${project.build.directory}/kickstart-runner.properties")
    protected File systemPropertiesFile

The system properties file will contain all started instances with their ports etc.

#### shouldBlockUntilKeyIsPressed

    @Parameter
    protected boolean shouldBlockUntilKeyIsPressed

If `true` this mojo blocks until you press the Enter key.

### Constructor Detail

#### AbstractStartStopMojo

    public AbstractStartStopMojo()

### Method Detail

#### doExecute

    protected abstract void doExecute()
                               throws org.apache.maven.plugin.MojoExecutionException,
                                      org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`

#### blockIfNecessary

    protected void blockIfNecessary()
                             throws org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoFailureException`